# $Revision: 1.15 $, $Date: 2002/08/11 18:48:30 $
Summary:	SQLite library
Summary(pl):	Biblioteka SQLite
Name:		sqlite
Version:	2.6.2
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.hwaci.com/sw/sqlite/%{name}-%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.hwaci.com/sw/sqlite/
BuildRequires:	readline-devel
BuildRequires:	tcl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SQLite is a C library that implements an SQL database engine. A large
subset of SQL92 is supported. A complete database is stored in a
single disk file. The API is designed for convenience and ease of use.
Applications that link against SQLite can enjoy the power and
flexiblity of an SQL database without the administrative hassles of
supporting a separate database server. Because it omits the
client-server interaction overhead and writes directly to disk, SQLite
is also faster than the big database servers for most operations. In
addition to the C library, the SQLite distribution includes a
command-line tool for interacting with SQLite databases and SQLite
bindings for Tcl/Tk.

%description -l pl
SQLite jest bibliotek jzyka C, ktra implementuje silnik baz danych
SQL (obsugiwana jest wikszo standardu SQL92). Caa baza danych
przechowywana jest w jednym pliku. Aplikacje wykorzystujce t
bibliotek charakteryzuj si si i elastycznocia SQLowych baz
danych bez koniecznoci utrzymywania osobnego serwera baz danych.
Poniewa pomijana jest komunikacja klient-serwer i dane s zapisywane
bezporednio na dysku, SQLite jest szybsza od duych serwerw
bazodanowych przy wikszoci operacji na bazie danych. Dodatkowo
oprcz biblioteki jezyka C, dostarczany jest program do zarzdzania
bazami danych.

%package devel
Summary:	Header files for SQLite development
Summary(pl):	Pliki nagwkowe SQLite
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
SQLite is a C library that implements an SQL database engine. A large
subset of SQL92 is supported. A complete database is stored in a
single disk file. The API is designed for convenience and ease of use.
Applications that link against SQLite can enjoy the power and
flexiblity of an SQL database without the administrative hassles of
supporting a separate database server. Because it omits the
client-server interaction overhead and writes directly to disk, SQLite
is also faster than the big database servers for most operations. In
addition to the C library, the SQLite distribution includes a
command-line tool for interacting with SQLite databases and SQLite
bindings for Tcl/Tk.

This package contains the header files needed to develop programs that
use these SQLite.

%description devel -l pl
SQLite jest bibliotek jzyka C, ktra implementuje silnik baz danych
SQL (obsugiwana jest wikszo standardu SQL92). Caa baza danych
przechowywana jest w jednym pliku. Aplikacje wykorzystujce t
bibliotek charakteryzuj si si i elastycznocia SQLowych baz
danych bez koniecznoci utrzymywania osobnego serwera baz danych.
Poniewa pomijana jest komunikacja klient-serwer i dane s zapisywane
bezporednio na dysku, SQLite jest szybsza od duych serwerw
bazodanowych przy wikszoci operacji na bazie danych. Dodatkowo
oprcz biblioteki jezyka C, dostarczany jest program do zarzdzania
bazami danych.

Pakiet zawiera pliki nagwkowe niezbedne do kompilowania programw
uywajcych biblioteki SQLite.

%package static
Summary:	Static libraries for SQLite development
Summary(pl):	Statyczne biblioteki SQLite
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
SQLite is a C library that implements an SQL database engine. A large
subset of SQL92 is supported. A complete database is stored in a
single disk file. The API is designed for convenience and ease of use.
Applications that link against SQLite can enjoy the power and
flexiblity of an SQL database without the administrative hassles of
supporting a separate database server. Because it omits the
client-server interaction overhead and writes directly to disk, SQLite
is also faster than the big database servers for most operations. In
addition to the C library, the SQLite distribution includes a
command-line tool for interacting with SQLite databases and SQLite
bindings for Tcl/Tk.

This package contains the static SQLite libraries.

%description static -l pl
SQLite jest bibliotek jzyka C, ktra implementuje silnik baz danych
SQL (obsugiwana jest wikszo standardu SQL92). Caa baza danych
przechowywana jest w jednym pliku. Aplikacje wykorzystujce t
bibliotek charakteryzuj si si i elastycznocia SQLowych baz
danych bez koniecznoci utrzymywania osobnego serwera baz danych.
Poniewa pomijana jest komunikacja klient-serwer i dane s zapisywane
bezporednio na dysku, SQLite jest szybsza od duych serwerw
bazodanowych przy wikszoci operacji na bazie danych. Dodatkowo
oprcz biblioteki jezyka C, dostarczany jest program do zarzdzania
bazami danych.

Pakiet zawiera statyczne biblioteki SQLite.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir},%{_mandir}/man1}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install sqlite.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/sqlite
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/sqlite.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/sqlite.h
%attr(755,root,root) %{_libdir}/lib*.la
%{_libdir}/lib*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: sqlite.spec,v $
Revision 1.15  2002/08/11 18:48:30  tjbynum
++ version.

Revision 1.14  2002/07/29 09:33:41  trojan
- updated to 2.6.1

Revision 1.13  2002/07/17 09:22:55  trojan
- updated to 2.5.6; STBR

Revision 1.12  2002/07/03 12:52:21  trojan
- updated to 2.5.4 (fixed bug that could potentially cause database
  coruption)

Revision 1.11  2002/06/17 11:54:27  trojan
- fixed %%files

Revision 1.10  2002/05/24 09:14:38  trojan
- new %%doc
- fixed URL and Source0

Revision 1.9  2002/05/20 12:22:28  trojan
- updated to 2.4.12
- added BR: tcl-devel
STBR

Revision 1.8  2002/03/26 15:01:34  trojan
- updated to 2.4.3

Revision 1.7  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/29 14:49:34  qboosh
- pl summaries, fixes in descriptions

Revision 1.4  2002/01/29 14:31:22  trojan
- polish descriptions
- moves progs to main package (arekm's suggestion)
- fixed %%install

Revision 1.3  2002/01/29 13:37:08  trojan
- added BR: readline-devel
- seems to be ok; STBR

Revision 1.2  2002/01/29 13:28:08  trojan
- fixed %%clean

Revision 1.1  2002/01/29 13:25:28  trojan
- initial revision; STB
